using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml;
using TCX.Configuration;
using System.Text;

public partial class GetPrompt : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        String id = Request.Params.Get("id");
        String fname = 
            "x-path:" + Utils.GetPrompt(id);
        byte[] data = Encoding.UTF8.GetBytes(fname);
        int length = data.Length;
        Response.AddHeader("Content-Length", length.ToString());
        Response.Expires = 0;
        Response.Cache.SetNoStore();
        //Response.SuppressContent = false;
        Response.BufferOutput = true;
        Response.OutputStream.Write(data, 0, length);
        //Server.HtmlEncode(fname, Response.Output);
        Response.AddHeader("Connection", "close");
        Response.Flush();
    }
}
